#include <stdlib.h>
#include <stdio.h>

int main()
{
    long N, i, k;
    long long T;
    long C[60];
    for(i=0; i<60; i++)
        C[i] = 0;
    
    scanf("%li", &N);
    
    for(i=0; i<N; i++)
    {
        scanf("%lli", &T);
        k = 0;
        while(T>0)
        {
            C[k++] = T % 2;
            T = T / 2;
        }
    }
    
    printf("0");
    return 0;
}